Subject: Re: bug#61782: About some warning building Emacs master on MSYS2/MINGW64 [autogen, configure]

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Feb 2023 11:49:39 +0200

> Date: Sat, 25 Feb 2023 09:45:56 +0100 (CET)
> From: Angelo Graziosi <[email-masked]>
> 
> I noticed that building Emacs (master) on Windows with MSYS2/MINGW64 now shows these warnings
> 
> $ ./autogen.sh
> [...]
> Running 'autoreconf -fi -I m4' ...
> ac-wrapper: autoreconf: warning: auto-detected versions not found ( ); falling back to latest available
> You can now run './configure'.
> 
> ./configure
> [...]
> checking for xattr library with ATTR_ACTION_PERMISSIONS... no
> configure: WARNING: libattr development library was not found or not usable.
> configure: WARNING: GNU Emacs will be built without xattr support.
> checking whether readlink signature is correct... yes
> [...]
> 
> I wonder if they are to be expected and if we can do something to avoid them.

The first one doesn't happen here.

The second one is due to m4/xattr.m4.  Paul, this test should not be
run on MS-Windows (although running it is mostly harmless), as xattr
will not be supported there.